package com.red.circle.common.business.core.enums;

import com.red.circle.framework.dto.IResponseErrorCode;

/**
 * 礼物业务code.
 * @author pengliang on 2020/6/1
 */
public enum GiftErrorEnum implements IResponseErrorCode {

  /**
   * 未找到礼物.
   */
  GIFT_NOT_FOUND(5000, "No gift found");

  private final Integer code;
  private final String message;

  GiftErrorEnum(Integer code, String message) {
    this.code = code;
    this.message = message;
  }

  @Override
  public Integer getCode() {
    return this.code;
  }

  @Override
  public String getMessage() {
    return message;
  }

  @Override
  public String getErrorCodeName() {
    return null;
  }

}
